
handThrottle = {};

function handThrottle.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function handThrottle:load(xmlFile)
    self.backupMinRpm = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.motor#minRpm"), 1000);
	self.handThrottleEnabled = false;
	self.handThrottleOnBoard = true;
end;

function handThrottle:delete()
end;

function handThrottle:mouseEvent(posX, posY, isDown, isUp, button)
end;

function handThrottle:keyEvent(unicode, sym, modifier, isDown)
end;

function handThrottle:update(dt)
    if self:getIsActiveForInput() then
        if InputBinding.isPressed(InputBinding.LESSRPM) then
		    self.motor.minRpm = self.motor.minRpm + 25;
			self.handThrottleEnabled = true;
		elseif InputBinding.isPressed(InputBinding.MORERPM) then
		    self.motor.minRpm = self.motor.minRpm - 25;
			self.handThrottleEnabled = true;
	    end;
		
		if InputBinding.isPressed(InputBinding.RESETRPM) then
		   self.handThrottleEnabled = not self.handThrottleEnabled;
		end;
    end;

    if self.isEntered and self.handThrottleEnabled then
		if self.motor.minRpm < -1200 then
			self.motor.minRpm = -1200;
		elseif self.motor.minRpm > self.backupMinRpm then
	        self.motor.minRpm = self.backupMinRpm;
		end;
	end;
end;

function handThrottle:stopMotor()
    self.motor.minRpm = self.backupMinRpm;
end;
	
function handThrottle:onLeave()
    self.motor.minRpm = self.backupMinRpm;
end;

function handThrottle:draw()
        
end;

